## 2.2.2
- ⚠️ Breaking Changes:
  * Android compileSdkVersion is set to 30
  * Increase flutter min support version to 1.22.6
- 🐞 Bug fixes:
  * Fix compilation for compileSdkVersion 30 for android

## 2.2.1
- 🐞 Bug fixes:
  * Added missing permission text properties `enableCameraButtonTitle`
   and `enableCameraExplanationText` to `DocumentScannerConfiguration` 
   
## 2.2.0
- 🎉 New:
  * Batch Barcode Scanner - a new RTU UI screen component to scan multiple barcodes in a row.
    See the new API function `startBatchBarcodeScanner`.
  * Added barcode detection from still images, see `detectBarcodeFromImageFile`.
  * New result field `BarcodeItem.rawBytes` that contains the raw bytes from the scanned barcode.
- ⚠️ Breaking Changes:
  * Replaced `finderAspectRatio` parameter with `finderWidth` and `finderHeight`
    in `BarcodeScannerConfiguration` and `MrzScannerConfiguration`.
- 🚙 Under the hood:
  * Updated the native Android Scanbot SDK to 1.77.2
    (cf. [changelog](https://github.com/doo/scanbot-sdk-example-android/wiki/Release-History))
  * Updated the native iOS Scanbot SDK to 1.13.0
    (cf. [changelog](https://scanbotsdk.github.io/documentation/ios/release-history.html))

## 2.1.0
- 🐞 Bug fixes:
  * iOS: Introduced a new API method `refreshImageUris(pages)` to fix image file paths
    after app updates. For more details please check out the section "Persistence of Page Objects"
    of the documentation.
  * iOS: Fixed de-/serialization of the property `Page.detectionStatus`.
  
## 2.0.1
- 🚀 Improvements:
  * iOS: Swift 5 support

## 2.0.0
- 🎉 New:
  * A new Machine Learning based approach for document detection. See the new SDK initialization parameter `documentDetectorMode`.
  * Barcode Scanner: Added barcode data parsers for several document types. See the new result field `BarcodeItem.formattedResult` 
    as well as the corresponding implementations of `BarcodeFormattedResult`.
- 🚀 Improvements:
  * Android: Some big improvements in the Document Scanner UI that make document scanning perform better and much smoother. 
    Increased start-up time of the camera preview. Faster saving of the snapped pages. Optimized performance of the 
    image processing for simple operations (rotate, crop, resize).
  * Barcode Scanner: Multi-barcode scan support!
- ⚠️ Breaking Changes:
  * Android: Migrated to [Android embedding v2](https://github.com/flutter/flutter/wiki/Upgrading-pre-1.12-Android-projects)
  * Android: Raised `minSdkVersion` to `21`
  * iOS: Dropped support for iOS 9 and iOS 10!
- 🚙 Under the hood:
  * Upgraded the native Scanbot Android SDK to v1.74.0 
  (cf. [changelog](https://github.com/doo/scanbot-sdk-example-android/wiki/Release-History))
  * Upgraded the native Scanbot iOS SDK to v1.11.6 
  (cf. [changelog](https://scanbotsdk.github.io/documentation/ios/release-history.html))

## 1.1.4
- 🚀 Improvements:
  * iOS: Changed presenter logic for all Scanbot SDK RTU UI screens.

## 1.1.3
- 🐞 Bug fixes:
  * iOS: Fixed a mapping issue of the config parameter `doneButtonTitle` in Cropping UI.

## 1.1.2
- 🚀 Improvements:
  * `OperationResult.CANCELED` when the user presses `cancel` in any Scanbot UI screen component.

## 1.1.1
- 🐞 Bug fixes:
  * Android: Fixed a bug with mappings of OCR language data files 
    (`zh-Hans` and `zh-Hant` to `chi_sim.traineddata` and `chi_tra.traineddata`). 

## 1.1.0
- 🎉 New:
  * Added further TIFF options `dpi` and `compression`. See `createTiff(pages, options)`.
- 🚀 Improvements:
  * Improved OCR API. The OCR results contain now bounding boxes and values of recognized words, lines and paragraphs. 
    See the API docs of `OcrResult.pages` for more details.
- 🐞 Bug fixes:
  * iOS: Fixed file URI handling in the native implementation of the `createPage()` method.

## 1.0.0
- 🎉 First release

## 0.9.0-beta.7
- Beta version

## 0.9.0-beta.6
- First beta version
